Skip to navigation

Get task lists for room

View as Markdown

Returns the task lists associated with a room.

Permissions

You must either be a member of the room who has been added to one or more tasks, or have one of the following permissions set to true:

  • canAddTasksToAnyTaskLists
  • canApplyTaskList
  • canRemoveAnyTaskList
  • canSubmitTaskList
  • canReviewTaskList

Note: If a room has multiple tasks lists, you only see the task lists that contain tasks to which you have been added.

Authentication

Authorizationstring

JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”

Path parameters

roomIdintegerRequired
The ID of the room.
accountIdstringRequired

The globally unique identifier (GUID) for the account.

Response

Task lists successfully retrieved.
taskListSummarieslist of objectsOptional
A list of task list summaries.

Errors

400
Bad Request Error
401
Unauthorized Error